Page MenuHomePhabricator

Incorrect (obsoleted) option "dynamic" for NTP server
Closed, ResolvedPublicBUG

Description

Hi all!
NTP configuration in CLI have option "dynamic" for NTP servers. This option was removed from ntp almost ten years ago: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=553976

We need to remove it from CLI and fix NTP configuration generation, because with this option ntp.conf have wrong syntax:

Nov 15 00:15:12 vyos ntpd[6301]: line 20 column 30 syntax error, unexpected T_String, expecting T_EOC
Nov 15 00:15:12 vyos ntpd[6301]: syntax error in /etc/ntp.conf line 20, column 30

Details

Difficulty level
Easy (less than an hour)
Version
1.2.0-rolling+201811141953
Why the issue appeared?
Issues in third-party code

Event Timeline

zsdc created this task.Nov 15 2018, 10:04 PM
c-po claimed this task.Nov 15 2018, 10:10 PM
c-po edited projects, added VyOS 1.2 Crux (VyOS 1.2.0-rc9); removed VyOS 1.2 Crux.
c-po closed this task as Resolved.Nov 17 2018, 2:33 PM
c-po changed Why the issue appeared? from Will be filled on close to Issues in third-party code.
pasik added a subscriber: pasik.Nov 20 2018, 8:19 AM